summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-13 07:12:40 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2022-12-13 07:12:40 +0000
commitaaa51f00a3bf68b88256418030207ef7c639e3d3 (patch)
tree222e05fbf8bcd5db382f66210543054556c56e9e /dev-python
parent55453e9a019b53a67144965dbde8cc039a621451 (diff)
downloadbaldeagleos-repo-aaa51f00a3bf68b88256418030207ef7c639e3d3.tar.gz
baldeagleos-repo-aaa51f00a3bf68b88256418030207ef7c639e3d3.tar.xz
baldeagleos-repo-aaa51f00a3bf68b88256418030207ef7c639e3d3.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/PyPDF2/Manifest2
-rw-r--r--dev-python/PyPDF2/PyPDF2-2.12.1.ebuild58
-rw-r--r--dev-python/dj-database-url/Manifest1
-rw-r--r--dev-python/dj-database-url/dj-database-url-1.1.0.ebuild29
-rw-r--r--dev-python/django-cache-url/Manifest1
-rw-r--r--dev-python/django-cache-url/django-cache-url-3.4.4.ebuild36
-rw-r--r--dev-python/gmpy/Manifest1
-rw-r--r--dev-python/gmpy/gmpy-2.1.4.ebuild40
-rw-r--r--dev-python/hatch-vcs/Manifest1
-rw-r--r--dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild34
-rw-r--r--dev-python/hypothesis/Manifest1
-rw-r--r--dev-python/hypothesis/hypothesis-6.61.0.ebuild77
-rw-r--r--dev-python/pycares/Manifest1
-rw-r--r--dev-python/pycares/pycares-4.3.0.ebuild49
-rw-r--r--dev-python/rapidfuzz/Manifest1
-rw-r--r--dev-python/rapidfuzz/rapidfuzz-2.13.6.ebuild47
-rw-r--r--dev-python/shapely/Manifest1
-rw-r--r--dev-python/shapely/shapely-2.0.0.ebuild44
-rw-r--r--dev-python/sqlalchemy/Manifest1
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-1.4.45.ebuild96
-rw-r--r--dev-python/tox/Manifest1
-rw-r--r--dev-python/tox/tox-4.0.8.ebuild91
22 files changed, 613 insertions, 0 deletions
diff --git a/dev-python/PyPDF2/Manifest b/dev-python/PyPDF2/Manifest
index 4f078f5536f7..c98d16734543 100644
--- a/dev-python/PyPDF2/Manifest
+++ b/dev-python/PyPDF2/Manifest
@@ -1,3 +1,5 @@
DIST PyPDF2-2.11.1.gh.tar.gz 6460157 BLAKE2B b9b6d1801b24c2d522200636700d26f651a5c877d31d3a72a8b9a8748a8063e163644d8ce115975a122cdfa4ad9f566f932ddd5b8f2f4545c57332f6c9f34154 SHA512 d1742a96db4b1385c0d670c682dd326d2a12e4ef36bff281bdf56b5df463c1a6ae023e40a4c591afc3c7176a73ceb610f23819cdcfebd2ecca7b327c1d21cec3
DIST PyPDF2-2.11.2.gh.tar.gz 6577234 BLAKE2B a6c7892364c54a44bf005fb105a5fd6f68beb44f54bc437d84d02978439943871ba18178ea9917c44572acc1f67b6647817fd789fcdaa8209ed6e44a0e8fcaef SHA512 4405ea7594c2d6ce691a8421f874ac551ae55f03d3bec32e7384ad0385581ecb4bdf1582f7c3f3d7da64871a80c0e5691fc5cdcafc3cb3d88e89225fd30bb788
+DIST PyPDF2-2.12.1.gh.tar.gz 6581775 BLAKE2B b65a8a82c1d20036705a3a7564a03bc70dfdc66a9c1b8b3e6e2473630a575a98ddf798c48f52d3fd45583220cad5f2029190be9d761aba2a23a3d8f334d3e45b SHA512 2b832d10cb9217de503a6d4ee7b137aa68f98d6c21f0a8db09d722e02c853cc1a5b6d4df78a99e7a0b9681b572b04a133458b05026978b4979cde796433437be
+DIST PyPDF2-sample-files-0fe84b30ed33ff3daa9293e44349b8618f135699.gh.tar.gz 9027166 BLAKE2B 912bb9fbd632bd0ad2cc2e865a1e6870ad7064aa2cf4d6f96217f63ac685e9a511f0bb20c22d48ae970a2eb171b27a0fa680fa42892425531f69735840cf741b SHA512 07a71a3566dabcea5dc8a549949d0f0c0f9483d5d9f85851d6e4e702dd374b348469a80e5300d18983e560ee9a44d0639b55eb338023b9ebbdb26c6f8c455e07
DIST PyPDF2-sample-files-bedcbe077c4898e1b97c6c6f81d937f5048b4630.gh.tar.gz 7198720 BLAKE2B 91d177e7329fd137322972a3a38841cb0611de7f839071fe2fa5ecff0343cbffdf6976f42f4a779f520a8a2bac2d6573c5cd65bf2f1bc68395077e6e9c7322d9 SHA512 0cdaee85f1da12cf678165f06c8d351aa0808137d25f68c07f19f1bd3c929eeb52e604041dfaa0df94665379aeb7d19a43426d724a5e6602b7e4fbe7a62e753d
diff --git a/dev-python/PyPDF2/PyPDF2-2.12.1.ebuild b/dev-python/PyPDF2/PyPDF2-2.12.1.ebuild
new file mode 100644
index 000000000000..9add61a5ea4a
--- /dev/null
+++ b/dev-python/PyPDF2/PyPDF2-2.12.1.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+SAMPLE_COMMIT=0fe84b30ed33ff3daa9293e44349b8618f135699
+DESCRIPTION="Python library to work with PDF files"
+HOMEPAGE="
+ https://pypi.org/project/PyPDF2/
+ https://github.com/py-pdf/PyPDF2/
+"
+SRC_URI="
+ https://github.com/py-pdf/PyPDF2/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ test? (
+ https://github.com/py-pdf/sample-files/archive/${SAMPLE_COMMIT}.tar.gz
+ -> ${PN}-sample-files-${SAMPLE_COMMIT}.gh.tar.gz
+ )
+"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+RESTRICT="test"
+# 150+ tests require network, too many to deselect
+PROPERTIES="test_network"
+
+RDEPEND="
+ $(python_gen_cond_dep '
+ dev-python/typing-extensions[${PYTHON_USEDEP}]
+ ' 3.8 3.9)
+"
+BDEPEND="
+ dev-python/pillow[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pycryptodome[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # rely on -Werror
+ tests/test_utils.py::test_deprecate_no_replacement
+ tests/test_workflows.py::test_orientations
+)
+
+src_unpack() {
+ default
+ if use test; then
+ mv "sample-files-${SAMPLE_COMMIT}"/* "${P}"/sample-files/ || die
+ fi
+}
diff --git a/dev-python/dj-database-url/Manifest b/dev-python/dj-database-url/Manifest
index 8b45c451405d..c509d39cdb43 100644
--- a/dev-python/dj-database-url/Manifest
+++ b/dev-python/dj-database-url/Manifest
@@ -1 +1,2 @@
DIST dj-database-url-1.0.0.gh.tar.gz 11355 BLAKE2B 9ea50eb2646367333556133020a59f332cb69e05fb392f328558f77cb03ffa968cf62241f3823e28600799a1399ac1335b90477a26a4931b0df7b695b502e9be SHA512 35ca0c05910812e10bf63b061afb434ac7c562e3d994b6e452250fe4ec95983fe8353aec0df9c7638a990684e612863ddada5be48485a1db3120e110f6d0fa94
+DIST dj-database-url-1.1.0.gh.tar.gz 12095 BLAKE2B 61d32e20ce06451300474f88debb12e960ea6efce8706d6f61991eb204cc8be62f40f38272d9ef177dfa6f4f8a7502c38d17e4c2b01ccb2b256b1dc5329c8dd7 SHA512 4c2ee396daf1a8052a981f8b8df1ba02405020bd4ce3e36df0e34d8be745e5b71a5eb7fef8fc7bff05a8846e9aa1d29857d71e9ba7aa2b5ac0fcb9fabc9f0e60
diff --git a/dev-python/dj-database-url/dj-database-url-1.1.0.ebuild b/dev-python/dj-database-url/dj-database-url-1.1.0.ebuild
new file mode 100644
index 000000000000..6ab7aa2f2437
--- /dev/null
+++ b/dev-python/dj-database-url/dj-database-url-1.1.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Use Database URLs in your Django Application"
+HOMEPAGE="
+ https://github.com/jazzband/dj-database-url/
+ https://pypi.org/project/dj-database-url/
+"
+SRC_URI="
+ https://github.com/jazzband/dj-database-url/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+SLOT="0"
+LICENSE="BSD"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ dev-python/django[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests unittest
diff --git a/dev-python/django-cache-url/Manifest b/dev-python/django-cache-url/Manifest
index 47957238fbbf..9e540ce15552 100644
--- a/dev-python/django-cache-url/Manifest
+++ b/dev-python/django-cache-url/Manifest
@@ -1 +1,2 @@
DIST django-cache-url-3.4.2.gh.tar.gz 8664 BLAKE2B f97bfed1b4be0919d79304242baf7af0c092b440a1888f05c781e70cb4674a83c4f18077c1b3c9ce7dc99223ebe13527e5575af0993446d273cc387ed0e2d8d5 SHA512 7b12ff97c399cd52eef1465a504bf8edd7d422a76af5ead0157a3b52615501b7f152bf58f693255a3ccb81880123ec0efd2ec3590e07f38378e5e812c2ef3799
+DIST django-cache-url-3.4.4.gh.tar.gz 8671 BLAKE2B 5245e87b786470e45ca1e30a39337904577889b15d644fbef94f55e861de7d2bb8b6725b6e62c58424511fb3f81093a6d3107cc1a8f8dc575e5463d6ab2e6c13 SHA512 745fddec8546c4ad4b70d7a039e0954f1c99cb91766a10185b29804cd69560a3dd64f90a85bb1a9ae029d34038944b288b4c497ad15492791121ea9c61fd6ae5
diff --git a/dev-python/django-cache-url/django-cache-url-3.4.4.ebuild b/dev-python/django-cache-url/django-cache-url-3.4.4.ebuild
new file mode 100644
index 000000000000..cee95a69d24c
--- /dev/null
+++ b/dev-python/django-cache-url/django-cache-url-3.4.4.ebuild
@@ -0,0 +1,36 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Use Cache URLs in your Django application"
+HOMEPAGE="
+ https://github.com/epicserve/django-cache-url/
+ https://pypi.org/project/django-cache-url/
+"
+SRC_URI="
+ https://github.com/epicserve/django-cache-url/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+RDEPEND="
+ dev-python/django[${PYTHON_USEDEP}]
+"
+
+DOCS=( AUTHORS.rst CHANGELOG.rst README.rst )
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -e '/--cov/d' -i setup.cfg || die
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/gmpy/Manifest b/dev-python/gmpy/Manifest
index fa8b099a6104..c4235ba2db5e 100644
--- a/dev-python/gmpy/Manifest
+++ b/dev-python/gmpy/Manifest
@@ -1,2 +1,3 @@
DIST gmpy2-2.1.2.tar.gz 258445 BLAKE2B 5fd89478bb7c48c317a7af74fd872e5a9c1141f8f23c110aba7298d1a325caa13e24f1a2e601d6b3c6f6af30d60505f9161a03def16df59dddabe611fb600ef4 SHA512 abfeb0d8a155235e3aa797ca7b34ab6947f0714273e9d381167a9f6273bad34689e1985c139080b146e072b5bfbb4fa2b937566a14f4b94cc09ed21b3f2082b7
DIST gmpy2-2.1.3.tar.gz 261520 BLAKE2B 4480522da105638521e99a4477285ace5178e6ebd2da2144eba9168da49b8f9ff627030dd2ddb6cc4431bf306c1e48d3ef2b23e193d48315e7e70575ddcc124c SHA512 6759ab52ee9c7abd5a95633d8f42399eb92430b0b2110a7e2db4850d9136f2b41c553a44e5e8c6eb7d44aa68318fd04d43f57b7a8a8af60b5d70140e8d2e2a6f
+DIST gmpy2-2.1.4.tar.gz 261649 BLAKE2B 7ddb02522d8f401f17dd664586623fa7fc2da448948515aac49b02a4ac46ca4f3ab74ab87594bf2c0ab3862832293c1a6f271e5a6afeeb0845890bc0b9ee27e8 SHA512 a71ddcd70b33a83a81a88c893337844dc1e4cfd058ff2236d53568f81c654079489e17c19f22a63fb08670c7254821d92778d9b9c33415467b6ed4634ff598cb
diff --git a/dev-python/gmpy/gmpy-2.1.4.ebuild b/dev-python/gmpy/gmpy-2.1.4.ebuild
new file mode 100644
index 000000000000..8b7a02572c0c
--- /dev/null
+++ b/dev-python/gmpy/gmpy-2.1.4.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_PN="${PN}2"
+MY_P="${MY_PN}-${PV/_beta/b}"
+
+DESCRIPTION="Python bindings for GMP, MPC, MPFR and MPIR libraries"
+HOMEPAGE="
+ https://github.com/aleaxit/gmpy/
+ https://pypi.org/project/gmpy2/
+"
+SRC_URI="mirror://pypi/${PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="LGPL-3+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+
+DEPEND="
+ >=dev-libs/mpc-1.0.2:=
+ >=dev-libs/mpfr-3.1.2:=
+ dev-libs/gmp:0=
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+distutils_enable_sphinx docs
+
+python_test() {
+ cd test || die
+ "${EPYTHON}" runtests.py || die "tests failed under ${EPYTHON}"
+}
diff --git a/dev-python/hatch-vcs/Manifest b/dev-python/hatch-vcs/Manifest
index 66ef5bcee709..daf205655281 100644
--- a/dev-python/hatch-vcs/Manifest
+++ b/dev-python/hatch-vcs/Manifest
@@ -1,2 +1,3 @@
DIST hatch-vcs-0.2.0.gh.tar.gz 8192 BLAKE2B 69f24de91b947e695336ca30cf3f265edcfaf10fa49df93fa0f70e45d1179e70d1ef5584fc99f88f66ca3c4fd1866a681db81253280ce3f9221d19f04443a085 SHA512 1c3627240ef5b659b9d87a69c84dd71cac4c83758f5be676e808377400383e996209cf6eabb1222f5330c0a97f0d261ced1eb9dc40e1d5c2bb2fc708659360eb
DIST hatch-vcs-0.2.1.gh.tar.gz 9070 BLAKE2B d06e6bb32f69308e63cff796ff5942b4ec93c773196572c9d748d39d5ca12d176d65d58bd2e953db21b1387d283f16f9f18ac6481f13d95329356054cdbdafe6 SHA512 5e18cf15ffb75a96cdcfa0d19b15aa2c6f31f7066c78e64aef0a27d64eb69512e402027b5c45fc81c65fea1033bea404fc20ae6c0c465ba4b05229079b88be45
+DIST hatch-vcs-0.3.0.gh.tar.gz 10049 BLAKE2B 69f49e205b4e42b46a246cc2403d8e7bbd2b8f83a360f1100ba98ecf7308d445e265749bd1f5fa7cca84104436e2643fd3f95292f2dba3dc48584a0df5136136 SHA512 ce22937aae8130a485ab154378f6c58c1720d66d277349a95ccfb58fd748deb69cd17d34ec3a12f3201f9e348e5d5b1c6b977432e614bb42d0e3065ec5f7f9c6
diff --git a/dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild b/dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild
new file mode 100644
index 000000000000..3917e5fa3ff0
--- /dev/null
+++ b/dev-python/hatch-vcs/hatch-vcs-0.3.0.ebuild
@@ -0,0 +1,34 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Hatch plugin for versioning with your preferred VCS"
+HOMEPAGE="
+ https://pypi.org/project/hatch-vcs/
+ https://github.com/ofek/hatch-vcs/
+"
+SRC_URI="
+ https://github.com/ofek/hatch-vcs/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/setuptools_scm-6.4.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-vcs/git
+ )
+"
+
+distutils_enable_tests pytest
diff --git a/dev-python/hypothesis/Manifest b/dev-python/hypothesis/Manifest
index 486766d2c8b2..b3e701c8d128 100644
--- a/dev-python/hypothesis/Manifest
+++ b/dev-python/hypothesis/Manifest
@@ -5,3 +5,4 @@ DIST hypothesis-6.58.1.gh.tar.gz 9335673 BLAKE2B 2f4c34f89547c3e05bc9238b9daee86
DIST hypothesis-6.58.2.gh.tar.gz 9336284 BLAKE2B 404265e82d5b2e7e131cde9a97ef08a8bbfc482ba58f44fcfca4650b59529b51968c8eba1156b0b397bafa429cfa4b4e3c9d8988a6dbecad40d96c3736a5c2da SHA512 3bfd11c2f10e2075ad756247af6ef8f7e47a79746c6103db2158a3e569319226064f108170018f3455c542308a36bcb9e46d63ec9a66d8d081fdafdb82dfe65f
DIST hypothesis-6.59.0.gh.tar.gz 9337749 BLAKE2B 29673a769702cf80efa05c3f5a60a3dac6d1226db2afbf25e3ff71be801c396db843222dac5facff8bbb1105dbd7533e2e908188a611a6e051b757ef87498dae SHA512 8d189576a45dc527c2adc0b36781a9323292aa3ed61ab1e0747c379d170c8a1907b787889ceb767d4814422d158c3cdd542360e75295605805b22d832a999777
DIST hypothesis-6.60.0.gh.tar.gz 9338839 BLAKE2B b50028b6960264d318135a70cdabc2f7c6bd563027c87dab12f98c240b884835a8e6e70d2372a23180c0aa3070d00e6e4ab7bd85461d60c57a68cbbea8e24f1a SHA512 674518511a8ee362b7a3ab7da83fdb02dc9bb280dfac7362d1ce64c34d01a62462026018c593c3de4b59336ffc79144dc0823c8c1ff7865c9322e61a29e63b40
+DIST hypothesis-6.61.0.gh.tar.gz 9340090 BLAKE2B 0d550e50085ad2e9ae848b86b35eaa229de9aa461e235748c308708e92f22388ca1cd5f663f68d8399f89b73fe20298653f947988b6fb2c505ca44650c3997d4 SHA512 3b460c817b46a61e8bcb506316cc56a6e70b7cb16e1f7af925d24372992fcd8c7c6895722d11637402f67eef0fad63318c5c8835e72b585c789e95937cd38465
diff --git a/dev-python/hypothesis/hypothesis-6.61.0.ebuild b/dev-python/hypothesis/hypothesis-6.61.0.ebuild
new file mode 100644
index 000000000000..2ade964b48e2
--- /dev/null
+++ b/dev-python/hypothesis/hypothesis-6.61.0.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+CLI_COMPAT=( python3_{8..10} )
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="threads(+),sqlite"
+
+inherit distutils-r1 multiprocessing optfeature
+
+TAG=hypothesis-python-${PV}
+MY_P=hypothesis-${TAG}
+DESCRIPTION="A library for property based testing"
+HOMEPAGE="
+ https://github.com/HypothesisWorks/hypothesis/
+ https://pypi.org/project/hypothesis/
+"
+SRC_URI="
+ https://github.com/HypothesisWorks/hypothesis/archive/${TAG}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S="${WORKDIR}/${MY_P}/hypothesis-python"
+
+LICENSE="MPL-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="cli"
+
+RDEPEND="
+ >=dev-python/attrs-19.2.0[${PYTHON_USEDEP}]
+ >=dev-python/sortedcontainers-2.1.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/exceptiongroup-1.0.0_rc8[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ cli? (
+ $(python_gen_cond_dep '
+ dev-python/black[${PYTHON_USEDEP}]
+ dev-python/click[${PYTHON_USEDEP}]
+ ' "${CLI_COMPAT[@]}")
+ )
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/pexpect[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ !!<dev-python/requests-toolbelt-0.10.1
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # subtests are broken by warnings from random plugins
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=xdist.plugin,pytest_forked,_hypothesis_pytestplugin
+
+ epytest tests/cover tests/pytest tests/quality -n "$(makeopts_jobs)"
+}
+
+python_install() {
+ distutils-r1_python_install
+ if ! use cli || ! has "${EPYTHON}" "${CLI_COMPAT[@]/_/.}"; then
+ rm -r "${ED}/usr/bin" "${D}$(python_get_scriptdir)" || die
+ fi
+}
+
+pkg_postinst() {
+ optfeature "datetime support" dev-python/pytz
+ optfeature "dateutil support" dev-python/python-dateutil
+ optfeature "numpy support" dev-python/numpy
+ optfeature "django support" dev-python/django dev-python/pytz
+ optfeature "pandas support" dev-python/pandas
+ optfeature "pytest support" dev-python/pytest
+}
diff --git a/dev-python/pycares/Manifest b/dev-python/pycares/Manifest
index 158a830f15a8..45194e72ba8c 100644
--- a/dev-python/pycares/Manifest
+++ b/dev-python/pycares/Manifest
@@ -1 +1,2 @@
DIST pycares-4.2.2.gh.tar.gz 44200 BLAKE2B a857f20f0f1cf0243f02d7f8663bfba3d0f97f033afb5eee5ec3ff74b70279cb3535c04953c3131771a1a6447032e309dbed064a4e85b30980361f5db3d674f1 SHA512 1a6b30e8f55d37ca0af9dfd70fd3a0630b691f5f76b4f650e9c98c585b26bd1ff9c237fc1705ce5dc257857db0dce2f020f12099f0c211f5ad0f12196f39433b
+DIST pycares-4.3.0.gh.tar.gz 44577 BLAKE2B b69eeb34a2f8c9d7025dc74881431b3fc5489b7f7e9142bb9ecdaf217e495ad72b1a6a7dc484a52e6a01394bbfa6d0609b2054dd4a663176cfb73d980642a3e1 SHA512 1dad1a6722bdd2bc59cc4ca774cc9da243e61a442ef383c238714b1274e90359352c72d16a2c1af2fcce3ea92708a7e5cee89a9b3eb7c015f9a194051c685f52
diff --git a/dev-python/pycares/pycares-4.3.0.ebuild b/dev-python/pycares/pycares-4.3.0.ebuild
new file mode 100644
index 000000000000..fb39ad453025
--- /dev/null
+++ b/dev-python/pycares/pycares-4.3.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python interface for c-ares"
+HOMEPAGE="
+ https://github.com/saghul/pycares/
+ https://pypi.org/project/pycares/
+"
+SRC_URI="
+ https://github.com/saghul/pycares/archive/${P}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+S=${WORKDIR}/pycares-${P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+IUSE="test"
+# Tests fail with network-sandbox, since they try to resolve google.com
+PROPERTIES="test_network"
+RESTRICT="test"
+
+DEPEND="
+ net-dns/c-ares:=
+"
+BDEPEND="
+ virtual/python-cffi[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ dev-python/idna[${PYTHON_USEDEP}]
+ ${DEPEND}
+ ${BDEPEND}
+"
+BDEPEND+="
+ test? (
+ dev-python/idna[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests unittest
+
+export PYCARES_USE_SYSTEM_LIB=1
diff --git a/dev-python/rapidfuzz/Manifest b/dev-python/rapidfuzz/Manifest
index c3bb6c54b2e0..6eb8f13ccbc7 100644
--- a/dev-python/rapidfuzz/Manifest
+++ b/dev-python/rapidfuzz/Manifest
@@ -1,3 +1,4 @@
DIST rapidfuzz-2.13.2.tar.gz 842042 BLAKE2B 35f3554a3a3cf3d02fc9e96b68e4e54bfd17d4df14befc9c17a3e3c3e078f41106bae2bdf5844ac8658af57dfcf6de90c9ccbadb45cb086a297b75d8c0de50fc SHA512 9cbc436f9259008dd911aac0884c222e444145554a6d8eab4761cff701397d62de26e1ac47393c3273fe99b0ee0a92b80cbc5d6683fe3aedd8582e8afc5d7828
DIST rapidfuzz-2.13.3.tar.gz 840669 BLAKE2B 8589b8ccb6584a38a2580a8063de04bc8eaddec40fd07a6ad483bc794ee643c6223bca9225020090cb9e3bae0766f48b395c1fdd92a45f97b62a43082e1a20e6 SHA512 c390d33d9f44c7a9a2211dee1bda4abfd14959797d4b299905ed41ed1bc7991f9122e0f6d74cef42ad9d747bb5a32752516b58387c3fd8b66fcb05bdd245f8d9
DIST rapidfuzz-2.13.4.tar.gz 843410 BLAKE2B 91a072f5697bf2e01db71725e94c4fa5c81877d2be5a2b39a57040c5412480e0c568818445f4f4ca13c02a57d8e20483041d177b18d78884a6084c0d2eb4772e SHA512 3ecf50403625a7a07a27631aea4dd3800dc936327e129414dd6cf3d7559aaf08222640ccf19ab5e02c667109e59c829b7b1ccbaa9d3cf5802203ea6d8bc2a738
+DIST rapidfuzz-2.13.6.tar.gz 999974 BLAKE2B c73510461faf8ba0d725b95a751afe69b42dfb3543cf8b02689573f71eee252192ee5f94388255a13e87434d4a36626d484ed9ca5ae66f05bc5f1a0eeb75bbfe SHA512 3255d92a5eccf15577572a0da9075f092a3a33a2d37d84da27389914cdec4e97b3314d9dc8d373b265824e33c0e3522f8ac8888eef6b36b3cab55d41e11708b2
diff --git a/dev-python/rapidfuzz/rapidfuzz-2.13.6.ebuild b/dev-python/rapidfuzz/rapidfuzz-2.13.6.ebuild
new file mode 100644
index 000000000000..ad742d8fbb94
--- /dev/null
+++ b/dev-python/rapidfuzz/rapidfuzz-2.13.6.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# custom wrapper over setuptools
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+DESCRIPTION="Rapid fuzzy string matching in Python using various string metrics"
+HOMEPAGE="
+ https://github.com/maxbachmann/RapidFuzz/
+ https://pypi.org/project/rapidfuzz/
+"
+SRC_URI="mirror://pypi/${PN::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86"
+
+# all these are header-only libraries
+DEPEND="
+ >=dev-cpp/taskflow-3.0.0
+ >=dev-cpp/rapidfuzz-cpp-1.10.0
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/rapidfuzz_capi[${PYTHON_USEDEP}]
+ >=dev-python/scikit-build-0.16.2[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/hypothesis[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # sterilize build flags
+ sed -i -e '/CMAKE_INTERPROCEDURAL_OPTIMIZATION/d' CMakeLists.txt || die
+
+ distutils-r1_src_prepare
+
+ export RAPIDFUZZ_BUILD_EXTENSION=1
+}
diff --git a/dev-python/shapely/Manifest b/dev-python/shapely/Manifest
index 0c2de6069e9d..253be6e83ea1 100644
--- a/dev-python/shapely/Manifest
+++ b/dev-python/shapely/Manifest
@@ -1 +1,2 @@
DIST shapely-1.8.5.post1.gh.tar.gz 323178 BLAKE2B 05ff22f972446da340714548f5a2ad233f8bac8bb0710a8c5444dc44e7d5ad0d2c2d37bc3ddb987f57accd065c75c9627752a6c6cb3590621e39812674c678e9 SHA512 99a406833ebd13cb3f88fb710ed66f545a0b128d201e82ff381de0214cde38c685a622f78e964d6d41fc9ba096bc62e63bf9da04d216dedf2f96bb1e3496d48f
+DIST shapely-2.0.0.gh.tar.gz 324420 BLAKE2B efe8aea8d9507bf2d2c31ca7dfaa6a531f71530243dd8c23046f4803d36e36b1636a07255c634fc5d6e30391aac260dcdaeb1f4c2aa73297a90f71134c1bbc15 SHA512 15e261901ada47ef2a9d2f213a2634152bc43799fd27421726b5e6525f91aef60c0bbc5f38e5185bf89ec795b5fa703688d2b08d4d3d14c9274515c5935157cb
diff --git a/dev-python/shapely/shapely-2.0.0.ebuild b/dev-python/shapely/shapely-2.0.0.ebuild
new file mode 100644
index 000000000000..5150a3d03189
--- /dev/null
+++ b/dev-python/shapely/shapely-2.0.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} )
+
+inherit distutils-r1
+
+MY_P=${P/_p/.post}
+DESCRIPTION="Geometric objects, predicates, and operations"
+HOMEPAGE="
+ https://pypi.org/project/shapely/
+ https://github.com/shapely/shapely/
+"
+SRC_URI="
+ https://github.com/shapely/shapely/archive/${PV/_p/.post}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+
+DEPEND="
+ >=sci-libs/geos-3.9
+"
+RDEPEND="
+ ${DEPEND}
+ dev-python/numpy[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ ${DEPEND}
+ >=dev-python/cython-0.29.32[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_compile_all() {
+ rm -r shapely || die
+}
diff --git a/dev-python/sqlalchemy/Manifest b/dev-python/sqlalchemy/Manifest
index a7ad520b42cb..b4b2fa4fd7b7 100644
--- a/dev-python/sqlalchemy/Manifest
+++ b/dev-python/sqlalchemy/Manifest
@@ -1,2 +1,3 @@
DIST SQLAlchemy-1.4.43.tar.gz 8510996 BLAKE2B 49e77ab7ac75c622981a5ba81efc75e39369d988811a514c7bda10fdddeb64a7a573a452d5afe02d3379d3f56a7f70400a898544b1c0dc995efa1edf991029af SHA512 ee26578874617d46bee8c45e5358e966dafe76d11ff3773a0ce058cfdc180642c87ead782b64e0709aa6af2f92fbcb8a4df3d5e5ce69c9ee3ed4a8583be3b802
DIST SQLAlchemy-1.4.44.tar.gz 8516775 BLAKE2B 647a43b2c01bcf066891e6bf2247271ff051ebc0d75c2e06b04879d058aacc54dced5d1af00c9489ba515621c56bb6f358836e1658f0069295f125675956797e SHA512 ba4e022f7af77cdf099b59a7af088852d7d4e0b4c6d632a63d244f501ff0b76837e601de63619f219fe50e6d526cd13415c4e623a6127afb0a2f24b87a4c3ece
+DIST SQLAlchemy-1.4.45.tar.gz 8535958 BLAKE2B 09e777584067532ed77d8dca9d86996b22317395338aa056d91d7ae1600d6b7111ef714d04980f87ab517007dd6a581c5552efa9c4a676e88c567f339f227fe6 SHA512 4c6e9ef84c6517f47493ad6ce6d366bc0e7222e7a668d43c7b9f4919e87076a5f7687dc525060e430be23c5d9f12e7ef9d97d679040ff132244aa2b3418974a9
diff --git a/dev-python/sqlalchemy/sqlalchemy-1.4.45.ebuild b/dev-python/sqlalchemy/sqlalchemy-1.4.45.ebuild
new file mode 100644
index 000000000000..b0ee1b2543de
--- /dev/null
+++ b/dev-python/sqlalchemy/sqlalchemy-1.4.45.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+PYTHON_REQ_USE="sqlite?"
+
+inherit distutils-r1 optfeature
+
+MY_PN="SQLAlchemy"
+MY_P="${MY_PN}-${PV/_beta/b}"
+
+DESCRIPTION="Python SQL toolkit and Object Relational Mapper"
+HOMEPAGE="
+ https://www.sqlalchemy.org/
+ https://pypi.org/project/SQLAlchemy/
+ https://github.com/sqlalchemy/sqlalchemy/
+"
+SRC_URI="mirror://pypi/${MY_P:0:1}/${MY_PN}/${MY_P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="examples +sqlite test"
+
+BDEPEND="
+ test? (
+ $(python_gen_impl_dep sqlite)
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_IGNORE=(
+ # hardcode call counts specific to Python versions
+ test/aaa_profiling
+)
+
+src_prepare() {
+ sed -i -e '/greenlet/d' setup.cfg || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # warning tests are unreliable
+ test/base/test_warnings.py
+ )
+ [[ ${EPYTHON} == pypy3 ]] && EPYTEST_DESELECT+=(
+ test/ext/test_associationproxy.py::ProxyHybridTest::test_msg_fails_on_cls_access
+ # https://github.com/sqlalchemy/sqlalchemy/issues/8762
+ test/orm/test_query.py::YieldTest_sqlite+pysqlite_3_39_4::test_yield_per_close_on_interrupted_iteration_legacy
+ )
+ if ! has_version "dev-python/greenlet[${PYTHON_USEDEP}]"; then
+ EPYTEST_DESELECT+=(
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_execution
+ test/ext/asyncio/test_engine_py3k.py::TextSyncDBAPI::test_sync_driver_run_sync
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[False-True]"
+ "test/engine/test_pool.py::PoolEventsTest::test_checkin_event_gc[True-True]"
+ "test/engine/test_pool.py::QueuePoolTest::test_userspace_disconnectionerror_weakref_finalizer[True-_exclusions0]"
+ )
+ fi
+
+ # upstream's test suite is horribly hacky; it relies on disabling
+ # the warnings plugin and turning warnings into errors; this also
+ # means that any DeprecationWarnings from third-party plugins cause
+ # everything to explode
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local -x PYTEST_PLUGINS=
+ # upstream automagically depends on xdist when it is importable
+ if has_version "dev-python/pytest-xdist[${PYTHON_USEDEP}]"; then
+ PYTEST_PLUGINS+=xdist.plugin
+ fi
+ epytest
+}
+
+python_install_all() {
+ if use examples; then
+ docompress -x "/usr/share/doc/${PF}/examples"
+ dodoc -r examples
+ fi
+
+ distutils-r1_python_install_all
+}
+
+pkg_postinst() {
+ optfeature "asyncio support" dev-python/greenlet
+ optfeature "MySQL support" \
+ dev-python/mysqlclient \
+ dev-python/pymysql \
+ dev-python/mysql-connector-python
+ optfeature "postgresql support" dev-python/psycopg:2
+}
diff --git a/dev-python/tox/Manifest b/dev-python/tox/Manifest
index 31326e2fcc0e..c0099da9912a 100644
--- a/dev-python/tox/Manifest
+++ b/dev-python/tox/Manifest
@@ -1,2 +1,3 @@
DIST tox-3.27.1.gh.tar.gz 309006 BLAKE2B fa8aaa9cd5b03e54c166bb6b748290420b91498b26d2d124d9f88a64806b9ac0578c1886845b25aa024907f6a782c45609fa6c7657d9e1f538b59c2d9f0f4e14 SHA512 5f568bc6c53f871aae91928681dd6f2419b876a8e6ca925e65abae845b548ee3d00513741882875bbbacb78bf64935228d98213f940d3da8c3f788b73f177b79
DIST tox-4.0.5.gh.tar.gz 277741 BLAKE2B 19250ec4365a38a149c59de99ebd3b819cc4aba7721c076cc6700a17eb56b7c4b61d5c3b11046dc6857d082f1c04e98c6a78b8c768551468bca5a6810c4b7749 SHA512 7bc6f5479df577b66a7e43b61520995d1d31d056baf5b6297d9dc6acb19da58ed1f7d0db13930ab114417f0ad752799ac512765af18041ec800022b18676db20
+DIST tox-4.0.8.gh.tar.gz 278697 BLAKE2B ef87b02d95447d52135aa745fd224f7ec1f76f5e99e37ee8dc4990a1577a5f4d2103f21d26e4b32946c20ccbc44aa7e3954e167dcf7599f548466574121ff7dd SHA512 bac13d4a74d76405c658a05eb50df258ae8f5ae8b821b36bc41d473562a0930667bf3b4eb96d873e92f89811af2a8dfd19009622efca8836f163aed53476b46a
diff --git a/dev-python/tox/tox-4.0.8.ebuild b/dev-python/tox/tox-4.0.8.ebuild
new file mode 100644
index 000000000000..620c2a4536f4
--- /dev/null
+++ b/dev-python/tox/tox-4.0.8.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{7,8,9,10,11} pypy3 )
+
+inherit distutils-r1
+
+MY_P=${P/_}
+DESCRIPTION="virtualenv-based automation of test activities"
+HOMEPAGE="
+ https://tox.readthedocs.io/
+ https://github.com/tox-dev/tox/
+ https://pypi.org/project/tox/
+"
+SRC_URI="
+ https://github.com/tox-dev/tox/archive/${PV/_}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ >=dev-python/cachetools-5.2[${PYTHON_USEDEP}]
+ >=dev-python/chardet-5.1[${PYTHON_USEDEP}]
+ >=dev-python/colorama-0.4.6[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.8.2[${PYTHON_USEDEP}]
+ >=dev-python/packaging-21.3[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-2.6[${PYTHON_USEDEP}]
+ >=dev-python/pluggy-1[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-api-1.2.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.8 3.9 3.10)
+ >=dev-python/virtualenv-20.17.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/hatch-vcs-0.2.1[${PYTHON_USEDEP}]
+ test? (
+ dev-python/build[${PYTHON_USEDEP}]
+ >=dev-python/distlib-0.3.6[${PYTHON_USEDEP}]
+ >=dev-python/flaky-3.7[${PYTHON_USEDEP}]
+ >=dev-python/psutil-5.9.4[${PYTHON_USEDEP}]
+ dev-python/pytest-mock[${PYTHON_USEDEP}]
+ >=dev-python/pytest-xdist-3.1[${PYTHON_USEDEP}]
+ >=dev-python/re-assert-1.1[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ >=dev-python/time-machine-2.8.2[${PYTHON_USEDEP}]
+ ' 'python*')
+ )
+"
+
+distutils_enable_tests pytest
+
+export SETUPTOOLS_SCM_PRETEND_VERSION=${PV}
+
+src_prepare() {
+ # the minimal bounds in tox are entirely meaningless and new packaging
+ # breaks setuptools
+ sed -i -e '/packaging/s:>=22::' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ # devpi_process is not packaged, and has lots of dependencies
+ cat > "${T}"/devpi_process.py <<-EOF || die
+ def IndexServer(*args, **kwargs): raise NotImplementedError()
+ EOF
+
+ local -x PYTHONPATH=${T}:${PYTHONPATH}
+ local EPYTEST_DESELECT=(
+ # Internet
+ tests/tox_env/python/virtual_env/package/test_package_cmd_builder.py::test_build_wheel_external
+ )
+ local EPYTEST_IGNORE=(
+ # requires devpi*
+ tests/test_provision.py
+ )
+ if ! has_version "dev-python/time_machine[${PYTHON_USEDEP}]"; then
+ EPYTEST_IGNORE+=(
+ tests/util/test_spinner.py
+ )
+ fi
+
+ epytest
+}